<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################
require'../config.php';
$align='left';
$title='Настройки форума';
aut();
head();
who_add(0,'forum');


if (empty($act)){

if ($ver!='wml') echo "<form method=\"POST\" action=\"nastroiki?act=edut&amp;".SID."\" name=\"auth\">";

echo "Символов в посте*:<br/>";
echo "<input name=\"sizep\" size=\"3\" maxlength=\"3\" value=\"$user[sizep]\" title=\"sizep\" emptyok=\"true\"/><br/>";

if ($ver!='wml'){
echo "Развернуть список разделов:<br/>";
if ($user['razd']==1)echo "<input type=\"radio\" name=\"razd\" value=\"1\" checked/>Да <input type=\"radio\" name=\"razd\" value=\"0\"/>Нет<br />";
else echo "<input type=\"radio\" name=\"razd\" value=\"1\"/>Да <input type=\"radio\" name=\"razd\" value=\"0\" checked/>Нет<br />";


echo "Отображать форму быстрого ответа в темах:<br/>";
if ($user['forma']==1)echo "<input type=\"radio\" name=\"forma\" value=\"1\" checked/>Да <input type=\"radio\" name=\"forma\" value=\"0\"/>Нет<br />";
else echo "<input type=\"radio\" name=\"forma\" value=\"1\"/>Да <input type=\"radio\" name=\"forma\" value=\"0\" checked/>Нет<br />";


echo "Показывать время последнего редактирования сообщений в темах:<br/>";
if ($user['redp']==1)echo "<input type=\"radio\" name=\"redp\" value=\"1\" checked/>Да <input type=\"radio\" name=\"redp\" value=\"0\"/>Нет<br />";
else echo "<input type=\"radio\" name=\"redp\" value=\"1\"/>Да <input type=\"radio\" name=\"redp\" value=\"0\" checked/>Нет<br />";


echo "Показывать поле для выгрузки файлов:<br/>";
if ($user['formf']==1)echo "<input type=\"radio\" name=\"formf\" value=\"1\" checked/>Да <input type=\"radio\" name=\"formf\" value=\"0\"/>Нет<br />";
else echo "<input type=\"radio\" name=\"formf\" value=\"1\"/>Да <input type=\"radio\" name=\"formf\" value=\"0\" checked/>Нет<br />";

echo "<br /><input type=\"submit\" class=\"ibutton\" value=\"Обновить\" name=\"enter\"><br/>";


}else{ // Для вмл

echo'Развернуть список разделов:<br />';
if ($user['razd']==1){
echo'<select name="razd"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br />';
} else {
echo'<select name="razd"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br />';}


echo "Отображать форму быстрого ответа в темах:<br/>";
if ($user['forma']==1){
echo'<select name="forma"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br />';
} else {
echo'<select name="forma"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br />';}

echo "Показывать время последнего редактирования сообщений в темах:<br/>";
if ($user['redp']==1){
echo'<select name="redp"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br />';
} else {
echo'<select name="redp"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br />';}


echo "Показывать поле для выгрузки файлов (HTML|WEB):<br/>";
if ($user['formf']==1){
echo'<select name="formf"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br />';
} else {
echo'<select name="formf"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br />';}

echo "<br /><anchor title=\"go\">Обновить<go href=\"nastroiki?act=edut&amp;".SID."\" method=\"post\">";
echo "<postfield name=\"razd\" value=\"$(razd)\"/>";
echo "<postfield name=\"forma\" value=\"$(forma)\"/>";
echo "<postfield name=\"redp\" value=\"$(redp)\"/>";
echo "<postfield name=\"formf\" value=\"$(formf)\"/>";
echo "<postfield name=\"sizep\" value=\"$(sizep)\"/>";
echo "</go></anchor>";

}
echo "<br />* по сколько символов показывать сообщения.Если в сообщении больше символов, чем указано в этом параметре, то появится ссылка \"Читать все &gt;&gt;\".Если установить 0, то снимается ограничение, но увеличивается размер страницы.\n";


}else{

$razd = check(intval($_POST['razd']));
$forma = check(intval($_POST['forma']));
$redp = check(intval($_POST['redp']));
$formf = check(intval($_POST['formf']));
$sizep = check(intval($_POST['sizep']));

$db->sql_query ("Update users set razd='".$razd."', forma='".$forma."',redp='".$redp."', formf='".$formf."', sizep='".$sizep."' where id ='$user[id]'");

echo 'Ваши настройки изменены';


}
echo '<br />';
echo gb.'<a href="./">Форум</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>
